VPN Error

Support for security such as Firewalls and securing linux
Post Reply
lalalulu
Posts: 4
Joined: 2017/03/18 03:52:22

VPN Error

Post by lalalulu » 2017/04/02 08:53:02

Hi, i'm newbie about VPN and I have VPN server using Openswan L2TP. And my setting:

/etc/ipsec.conf
version 2

config setup
dumpdir=/var/run/pluto/


nat_traversal=yes

virtual_private=%v4:10.0.0.0/8,%v4:192.168.0.0/16,%v4:172.16.0.0/12,%v6:fd00::/8,%v6:fe80::/10


protostack=netkey


force_keepalive=yes
keep_alive=60


conn L2TP-PSK-noNAT
authby=secret


pfs=no


auto=add

keyingtries=3
.

ikelifetime=8h
keylife=1h

ike=3des-md5
phase2alg=3des-md5

type=transport

left=103.19.208.244


leftprotoport=17/1701
right=%any
rightprotoport=17/%any

dpddelay=10
/etc/xl2tpd/xl2tpd.conf
[global]
ipsec saref = yes
force userspace = yes

[lns default]
ip range = 172.16.1.30-172.16.1.100
local ip = 172.16.1.1
refuse pap = yes
require authentication = yes
ppp debug = no
pppoptfile = /etc/ppp/options.xl2tpd
length bit = yes
/etc/ppp/options.xl2tpd
require-mschap-v2
ms-dns 8.8.8.8
ms-dns 8.8.4.4
auth
mtu 1200
mru 1000
crtscts
hide-password
modem
name l2tpd
proxyarp
lcp-echo-interval 30
lcp-echo-failure 4

And when my client (Windows 7) start to established:
1. When i tried to change security tab become Maximum strength encryption ,when i established establish error "741 The local computer does not support encryption" appear with condition Microsoft Chap version 2 unchecked.
2. Require encryption, when i established establish error "734 The PPP link control protocol was terminated" appear with condition Microsoft Chap version 2 unchecked.
3. Optional encryption , when i established establish error "742 The remote server does not support encryption" appear with condition Microsoft Chap version 2 unchecked.
4. When i change Maximum strength encryption , when i established establish error 742 "The remote server does not support encryption" appear with condition Microsoft Chap version 2 checked.

I tried to asking Windows forum but, they said this problem from my server. How to solve this problem? Thank you for your helping.

Post Reply

Return to “CentOS 6 - Security Support”